Subject: Re: Do MPLS core devices have to implement IP?

From: Loa Andersson <[email-masked]>
Date: Fri, 06 Jul 2001 16:25:57 +0200

Torsten,

I think that the key words of this question is "compliant to
MPLS standards". There are a set of RFCs around and a cople of
pretty mature IDs. I can't see that you are compliant to any of
those without implmenting a control plane based on IP and a
Label Distribution Protocol.

Ypou might argue that you do label based forwarding, especially
if you use shim-header, but I can't see that this is of more 
than academic interest. Academic exercises might be fun though :-)

/Loa

----- Original Message -----
From: "Torsten Mueller" <[email-masked]>
Date: Thursday, July 5, 2001 3:55 pm
Subject: Do MPLS core devices have to implement IP?

> 
> 
> 
> Do MPLS core devices have to implement IP?
> RFC 3031 states:
> -  MPLS forwarding can be done by switches which are capable of
>         doing label lookup and replacement, but are either not 
> capable         of analyzing the network layer headers, or are not 
> capable of
>         analyzing the network layer headers at adequate speed.
> 
> While this means that MPLS nodes do not have to implement IP at the
> forwarding plane, do these switches have to implement IP at the 
> controlplane
> (and the standard label distribution protocols)?
> Or is it also possible to distribute the labels by management 
> proceduresto be compliant to the MPLS standards?
> 
> 
> Thanks,
> Torsten
> 
> 
>